#ifndef _EX_ERRORS_H
#define _EX_ERRORS_H

// Network errors.
#define NET_E_BASE 0xbaad0000

#define NET_E_NOT_IMPLEMENTED 0xbaad0001
#define NET_E_OUT_OF_MEMORY 0xbaad0002
#define NET_E_INCONSISTENCY 0xbaad0003
#define NET_E_NET_ERROR 0xbaad0004
#define NET_E_NEED_INIT 0xbaad0005
#define NET_E_SOCKETS_UNSUPPORTED 0xbaad0006
#define NET_E_PROTOCOL_UNSUPPORTED 0xbaad0007
#define NET_E_ADDRESS_IN_USE 0xbaad0008
#define NET_E_ADDRESS_NOT_AVAILABLE 0xbaad0009
#define NET_E_OUT_OF_RESOURCES 0xbaad000a
#define NET_E_NETWORK_DOWN 0xbaad000b
#define NET_E_NETWORK_UNREACHABLE 0xbaad000c
#define NET_E_DEVICE_UNREACHABLE 0xbaad000d
#define NET_E_IS_CONNECTED 0xbaad000e
#define NET_E_CONNECTION_REFUSED 0xbaad000f
#define NET_E_CONNECTION_TIMEOUT 0xbaad0010
#define NET_E_CONNECTION_LOST 0xbaad0011
#define NET_E_WOULD_BLOCK 0xbaad0012
#define NET_E_ALREADY 0xbaad0013
#define NET_E_INVALID 0xbaad0014
#define NET_E_NO_SEND 0xbaad0015
#define NET_E_PARTIAL_SEND 0xbaad0016
#define NET_E_RECV_PENDING 0xbaad0017
#define NET_E_NO_RECV 0xbaad0018
#define NET_E_NOTHING_TO_DO 0xbaad0019
#define NET_E_TIMEOUT 0xbaad001a
#define NET_E_CHECK_ERRORS 0xbaad001b
#define NET_E_DUPLICATE_ENTRY 0xbaad001c
#define NET_E_BAD_HANDLE 0xbaad001d
#define NET_E_BAD_INDEX 0xbaad001e
#define NET_E_BAD_ADDRESS 0xbaad001f
#define NET_E_BAD_SOCKET 0xbaad0020
#define NET_E_BAD_BUFFER 0xbaad0021
#define NET_E_BAD_MESSAGE 0xbaad0022
#define NET_E_BAD_DATA_SIZE 0xbaad0023
#define NET_E_BAD_FORMAT 0xbaad0024
#define NET_E_OP_BAD_MESSAGE 0xbaad0025
#define NET_E_OP_MISMATCH 0xbaad0026
#define NET_E_INIT_ONLY 0xbaad0027
#define NET_E_YOUR_LOCK 0xbaad0028
#define NET_E_NOT_YOUR_LOCK 0xbaad0029
#define NET_E_BAD_TIME_VALUE 0xbaad002a
#define NET_E_BAD_ARRAY_LENGTH 0xbaad002b
#define NET_E_OP_BAD_ARGS 0xbaad002c
#define NET_E_PERM 0xbaad002d

#define NET_E_OP_UNSUPPORTED 0xbaadf00d

// Network warnings.
#define NET_W_BASE 0x3aad0000

#endif // _EX_ERRORS_H
